package com.jeeplus.test.jobPosion.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.test.jobPosion.annotation.ForUpdate;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * job_position
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("job_position")
public class JobPosition extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 职位名称
     */
    @ForUpdate(fieldName = "职位名称")
    @Query(tableColumn = "jp.name")
    private String name;

    /**
     * 职位编码
     */
    @ForUpdate(fieldName = "职位编码")
    private String no;

    /**
     * 所属部门
     */
    @ForUpdate(fieldName = "所属部门")
    private String officeId;

    /**
     * 编制人数
     */
    @ForUpdate(fieldName = "编制人数")
    private Integer staffNum;

    /**
     * 对应职务
     */
    @ForUpdate(fieldName = "对应职务")
    private String positionId;

    /**
     * 任职资格
     */
    @ForUpdate(fieldName = "任职资格")
    private String qualification;

    /**
     * 责任描述
     */
    @ForUpdate(fieldName = "责任描述")
    private String obligation;

    /**
     * 启用停用 1启用 2停用
     */
    @ForUpdate(fieldName = "启用状态")
    @Query(tableColumn = "jp.use_flag")
    private String useFlag;

    private static final long serialVersionUID = 1L;
}