package com.jeeplus.test.roster.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * roster_base
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class RosterBaseDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 姓名
     */
    private String name;

    /**
     * 部门id
     */
    private String officeId;

    /**
     * 职位id
     */
    private String jobPositionId;

    /**
     * 职务id
     */
    private String positionId;

    /**
     * 职级id
     */
    private String rankId;

    /**
     * 工号
     */
    private String jobNo;

    /**
     * 证件类型
     */
    private String certificatesType;

    /**
     * 证件号
     */
    private String idCard;

    /**
     * 证件照正面
     */
    private String certificatesFront;

    /**
     * 证件照正面
     */
    private String certificatesFrontLsUrl;

    /**
     * 证件照反面
     */
    private String certificatesBack;

    /**
     * 证件照反面
     */
    private String certificatesBackLsUrl;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 合同类型
     */
    private String contractType;

    /**
     * 员工类型
     */
    private String workerType;

    /**
     * 入职日期
     */
    private Date onboardingDate;

    /**
     * 历史工龄
     */
    private String seniority;

    /**
     * 合同公司
     */
    private String contractCompany;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthDate;

    /**
     * 工作地点
     */
    private String workPlace;

    /**
     * 联系地址
     */
    private String contactAddress;

    /**
     * 入职年度就业情形
     */
    private String employmentSituation;

    /**
     * 工时制度
     */
    private String workingHour;

    /**
     * 民族
     */
    private String ethnic;

    /**
     * 户口类型
     */
    private String accountType;

    /**
     * 户口所在地
     */
    private String accountAddr;

    /**
     * 籍贯
     */
    private String origin;

    /**
     * 居住地址
     */
    private String liveAddr;

    /**
     * 最高学历
     */
    private String highestEducation;

    /**
     * 政治面貌
     */
    private String politicalFace;

    /**
     * 婚姻状况
     */
    private String maritalStatus;

    /**
     * 血型
     */
    private String bloodType;

    /**
     * 紧急联系人姓名
     */
    private String emergencyContactName;

    /**
     * 紧急联系人电话
     */
    private String emergencyContactTel;

    /**
     * 配偶姓名
     */
    private String spouseName;

    /**
     * 孩子姓名
     */
    private String childName;

    /**
     * QQ
     */
    private String qq;

    /**
     * 微信
     */
    private String wechat;

    /**
     * 个人邮箱
     */
    private String email;

    /**
     * 合同信息
     */
    private RosterContractDTO rosterContractDTO;

    /**
     * 银行卡信息
     */
    private List<RosterBankCardsDTO> rosterBankCardsDTOList;

    /**
     * 教育经历
     */
    private List<RosterEducateDTO> rosterEducateDTOList;

    /**
     * 工作经历
     */
    private List<RosterWorkDTO> rosterWorkDTOList;

    /**
     * 家庭成员
     */
    private List<RosterFamilyDTO> rosterFamilyDTOList;

    /**
     * 员工证书
     */
    private List<RosterCertificateDTO> rosterCertificateDTOList;

    /**
     * 附件
     */
    private List<RosterFilesDTO> rosterFilesDTOList;

    /**
     * 头像
     */
    private String headshot;

    /**
     * 头像
     */
    private String headshotLsUrl;

    /**
     * 直属领导
     */
    private RosterLeadershipDTO rosterLeadershipDTO;

    private static final long serialVersionUID = 1L;
}