package com.jeeplus.test.user.domain;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import lombok.Data;
import java.util.Date;

/**
 * 用户信息
 *
 * @author sunruiqi
 * @date 2022/08/22 16:40
 */
@Data
@TableName("sys_user_info")
public class SysUserInfo extends BaseEntity {

    // 工号
    @TableField("jobNo")
    private String jobNo;

    // 姓名
    @Query
    @TableField("name")
    private String name;

    // 性别
    @TableField("sex")
    private String sex;

    // 民族
    @TableField("nation")
    private String nation;

    // 身份证号码
    @TableField("id_card")
    private String idCard;

    // 年龄
    @TableField("age")
    private Integer age;

    // 出生日期
    @TableField("birthday")
    private String birthday;

    // 电子邮箱
    @TableField("e_mail")
    private String eMail;

    // 移动电话
    @Query
    @TableField("mobile_phone")
    private String mobilePhone;

    // 座机
    @TableField("phone")
    private String phone;

    // 员工状态
    @TableField("user_type")
    private String userType;

    // 银行卡号
    @TableField("bank_number")
    private String bankNumber;

    // 婚姻状态
    @TableField("marital_status")
    private String maritalStatus;

    // 政治面貌
    @TableField("political_outlook")
    private String politicalOutlook;

    // 籍贯
    @TableField("native_place")
    private String nativePlace;

    // 户口所在地
    @TableField("registered_residence")
    private String registeredResidence;

    // 常住地址
    @TableField("permanent_address")
    private String permanentAddress;

    // 社保账号
    @TableField("social_insurance_no")
    private String socialInsuranceNo;

    // 医保账号
    @TableField("medical_insurance_no")
    private String medicalInsuranceNo;

    // 公积金账号
    @TableField("accumulation_fund_no")
    private String accumulationFundNo;

    // 微信号
    @TableField("wx")
    private String wx;

    // qq
    @TableField("qq")
    private String qq;

    // 入职时间
    @TableField("entry_date")
    private String entryDate;

    // 试用岗位
    @TableField("probation_position")
    private String probationPosition;

    // 试用期(月)
    @TableField("probation_time")
    private String probationTime;

    // 试用期结束日期
    @TableField("probation_end_date")
    private String probationEndDate;

    // 所属部门
    @TableField("department")
    private String department;

    // 岗位
    @TableField("position")
    private String position;

    // 最高学历
    @TableField("highest_education")
    private String highestEducation;

    // 备注
    @TableField("remarks")
    private String remarks;

    // 个人简介
    @TableField("personal_profile")
    private String personalProfile;

    // 头像地址
    @TableField("head_portrait_url")
    private String headPortraitUrl;

    // 手签章地址
    @TableField("signature_url")
    private String signatureUrl;

    //员工状态(中文)
    @TableField(exist = false)
    private String userStatus;
}
