/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.sys.mapper;

import com.jeeplus.core.domain.TreeMapper;
import com.jeeplus.sys.domain.Office;
import com.jeeplus.sys.service.dto.OfficeDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 机构MAPPER接口
 *
 * @author jeeplus
 * @version 2021-05-16
 */
public interface OfficeMapper extends TreeMapper<Office> {

    OfficeDTO getOfficeByName(@Param("officeName") String officeName, @Param("parentName") String parentName);
    /**
     * 根据部门名称 查询部门及所有子部门信息
     * @param officeName
     * @return
     */
    List<OfficeDTO> getOfficeAllByOfficeName(@Param("officeName") String officeName);

}
